// Persistence of Vision Ray Tracer Scene Description File
// File: output.pov
// Vers: 3.6
// Desc: [Projet PovRAY] UDM-UQAM
// Date: Hiver 2003
//	 Summer 2008
// Auth: Processing.org [exported by superCAD]
// Mail: gll@spacekit.ca

#debug "\n\n"

#debug "                                                o        \n"
#debug "             oooo               oooo     oo    oo        \n"
#debug "            ooooooo   oooo    ooooooo     oo  oo         \n"
#debug "           oo   oooo ooooooo oooo  ooo     ooooo         \n"
#debug "           oo    oooooo  ooooooo    oo      oooo         \n"
#debug "           ooo   ooooo     oooooo  ooo      ooooo        \n"
#debug "            ooooooooooo   ooooooooooo      oo  oooo      \n"
#debug "              oooooo oooooooo  oooo    o   oo    oo      \n"
#debug "                 ooo   oooo                              \n"
#debug "  --( Guillaume  ooo  LaBelle )--       goo.x@gmx.ch     \n"
#debug "          oo     oo                                      \n"
#debug "          ooo   ooo                                      \n"
#debug "          oooooooo                                       \n"
#debug "            oooo                                         \n"

#debug "\n\n"

#debug concat( "\n--------------------------------------------------------\n",
               "Clk-(",str(clock,0, 3),"/",str(final_clock,0, 3),")-\n",
               "Frm-(",str(frame_number,0, 3),"/",str(final_frame,0, 3),")-\n",
               "--------------------------------------------------------\n\n")



// [HISTORY]

// V0.00a
// Début du Projet



//  ------------------------------------------------------------      
//  ------------------------------------------------------------
//     --( PréPROCESSOR )--
//  ------------------------------------------------------------

//--------------------------------------------------------------------------
#version 3.5;
global_settings {  assumed_gamma 1.0 }
//--------------------------------------------------------------------------

#include "colors.inc"
#include "textures.inc"
#include "glass.inc"
#include "metals.inc"
#include "golds.inc"
#include "stones.inc"
#include "woods.inc"
#include "shapes.inc"
#include "shapes2.inc"
#include "functions.inc"



//  ------------------------------------------------------------      
//  ------------------------------------------------------------
//     --( CAMÉRA )--
//  ------------------------------------------------------------

#declare Camera_0 = camera {perspective angle 75          // front view
                            location  <0.0 , 1.0 ,-3.0>
                            right     x*image_width/image_height
                            look_at   <0.0 , 0.4 , 0.0>}
#declare Camera_1 = camera {ultra_wide_angle angle 90       // diagonal view
                            location  <2.0 , 2.5 ,-3.0>
                            right     x*image_width/image_height
                            look_at   <0.0 , 1.0 , 0.0>}
#declare Camera_2 = camera {ultra_wide_angle angle 90      //right side view
                            location  <3.0 , 1.0 , 0.0>
                            right     x*image_width/image_height
                            look_at   <0.0 , 1.0 , 0.0>}
#declare Camera_3 = camera {ultra_wide_angle angle 90            // top view
                            location  <0.0 , 3.0 ,-0.001>
                            right     x*image_width/image_height
                            look_at   <0.0 , 1.0 , 0.0>}
camera{Camera_0}


//  ------------------------------------------------------------      
//  ------------------------------------------------------------
//     --( TEXTURES )--
//  ------------------------------------------------------------

#declare GrayCaro =        texture{ pigment{checker color rgb<1,1,1>*1.2 color rgb<0.25,0.15,0.1> scale <1,1,1>*2}
                                        //normal {bumps 0.75 scale 0.025}
                                        finish {ambient 0.1 diffuse 0.3}
                                        }

#declare GrayCaroR =        texture{ pigment{checker color rgb<1,1,1>*1.2 color rgb<0.25,0.15,0.1> scale <1,1,1>*2}
                                        //normal {bumps 0.05 scale 0.02}
                                        finish {ambient 0.1 diffuse 0.8 reflection { 0.2 }} // REFLEX-------(oo)
                                        }

#declare WhiteR =        texture{ pigment{color rgb<1,1,1>}
                                        //normal {bumps 0.05 scale 0.02}
                                        finish {ambient 0.1 diffuse 0.8 reflection { 0.2 }} // REFLEX-------(oo)
                                        }

#declare GrayCaroS =       texture{ pigment{checker color rgb<1,1,1>*1.2 color rgb<0.25,0.15,0.1> scale <1,1,1>*0.1}
                                        //normal {bumps 0.75 scale 0.025}
                                        finish {ambient 0.1 diffuse 0.8}
                                        }

#declare GrayNoise =       texture{ pigment{color rgb<0.7,0.7,0.7>}
	                                normal {bumps 0.75 scale 0.03}
                                        finish {ambient 0.1 diffuse 0.8}
                                        }



#declare BeigeC = pigment {color rgb<1,0.90,0.6>}
#declare BeigeLight = pigment{color rgb<1,0.95,0.8>}
#declare Brun = pigment{color  rgb<1,0.75,0.4>*0.3}
#declare BeigeCc = pigment {BeigeC}


#declare Beige =           texture{ pigment{BeigeCc}
                                        finish {ambient 0.1
                                                diffuse 0.9
                                                brilliance 0.5
                                                phong 0.5
                                                phong_size 60
                                                specular 0.5
                                                roughness 0.05
                                                reflection { 0.1 }
                                                }
                                        }
// Beige LOWRes
#declare BeigeLw =           texture{ pigment{BeigeCc}
                                        finish {ambient 0.1
                                                diffuse 0.9
                                                //brilliance 0.5
                                                phong 0.3
                                                phong_size 3
                                                //specular 0.5
                                                //roughness 0.05
                                                //reflection { 0.1 }
                                                }
                                        }
// Beige LOW DARK
#declare BeigeLwD =           texture{ pigment{Brun}
                                        finish {ambient 0.1
                                                diffuse 0.9
                                                //brilliance 0.5
                                                phong 0.3
                                                phong_size 3
                                                //specular 0.5
                                                //roughness 0.05
                                                //reflection { 0.1 }
                                                }
                                        }



#declare BeigeT =            texture{ pigment{color rgbf<1,0.95,0.8,0.7>}
                                        finish {ambient 0.1
                                                diffuse 0.5
                                                brilliance 10
                                                //phong 0.3
                                                //phong_size 3
                                                specular 0.7
                                                roughness 0.1
                                                //reflection { 0.1 }
                                                }
                                        }


#declare RedT =            texture{ pigment{color rgbf<1,0.5,0.1,0.0.5>}
                                        finish {ambient 1
                                                diffuse 0.5
                                                //brilliance 0.5
                                                //phong 0.3
                                                //phong_size 3
                                                specular 0.5
                                                roughness 0.02
                                                //reflection { 0.1 }
                                                }
                                        }




//  ------------------------------------------------------------      
//  ------------------------------------------------------------
//     --( ÉCLAIRAGES ET ENVIRONNEMENT )--
//  ------------------------------------------------------------

// --( SOLEIL )--
light_source{<1500,2500,-2500> color White}

// --( CIEL )--
plane{<0,1,0>,1 hollow  
       texture{ pigment{ bozo turbulence 0.076
                         color_map { [0.5 rgb <0.70, 0.70, 0.7>]
                                     [0.6 rgb <0.75,0.75,0.75>]
                                     [1.0 rgb <0.85,0.85,0.85>]}
                       }
                finish {ambient 1 diffuse 0} }      
       scale 10000}

// --( FOG )--
fog{fog_type   2
    distance   50
    color      White
    fog_offset 0.1
    fog_alt    2.0
    turbulence 0.8}

// --( SOL )--
#declare Plane_1 = plane{ <0,1,0>, 0 
       texture{ GrayCaroR }
     }

#declare Plane_0 = plane { <0,1,0>, 0 
        texture{ GrayNoise }
      }

#declare Plane_2 = plane { <0,1,0>, 0 
        texture{ WhiteR }
      }


Plane_2




//  ------------------------------------------------------------      
//  ------------------------------------------------------------
//     --( ÉCLAIRAGES ET ENVIRONNEMENT )--
//  ------------------------------------------------------------

#declare NODE = 1;
#declare CylRad = 0.1;


////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////