#
# ANAR+ EnergyPlus plotting script
#
# author: lluj@anar.ch
#
# TODO "set terminal windows" for windows (especially windows7 x64)
# TODO exclude PNG export for macs (such that no error is printed)
#@terminal
set xdata time
set timefmt "%m/%d-%H:%M:%S"
# time range must be in same format as data file
#@trange
set xrange ["paramStart-00:00:00":"paramEnd-00:00:00"]
#@Trange
set yrange [minTemp:maxTemp]
set grid
set mouse

set xlabel "Date"
set ylabel "Temperature"
set format x "%d/%m" 

#set title "ANAR+ EnergyPlus simulation"
#set key left box
#@temp 
plot "param.dat" using 1:2 index 0 title "outdoor temp [C]" with lines, \
     "param.dat" using 1:num index 0 title "zone temp [C]" with lines


#@svg
# SVG export 
set terminal svg size 1200,800
set output "paramTemp.svg"
#@temp 
plot "param.dat" using 1:2 index 0 title "outdoor temp [C]" with lines, \
     "param.dat" using 1:num index 0 title "zone temp [C]" with lines

set output "paramEnergyRate.svg"
set ylabel "Daily energy rate"
set yrange [0:maxEnergyRate]
#@coolheat
plot \
     "param.dat" using 1:num index 0 title "zone cooling rate [W]" with lines
     "param.dat" using 1:num index 0 title "zone heating rate [W]" with lines

set output "paramEnergyDaily.svg"
set boxwidth 0.9 relative
set style fill solid 1.0
set ylabel "Daily energy use"
set yrange [0:maxEnergy]
#@energy
plot "paramMeter.dat" using 1:2 index 0 title "daily cooling energy use [J]" with boxes, \
     "paramMeter.dat" using 1:3 index 0 title "daily heating energy use [J]" with boxes

reset

# ##############   
# some histograms   
set terminal svg size 1200,800
#@Trange
set xrange [minTemp:maxTemp]
#@hrange
set yrange [0:maxHours]
set grid
set xlabel "inside temperature"
set ylabel "hours"
set style fill solid border -1
  
binwidth=.5
bin(x,width)=width*floor(x/width) + binwidth/2
set boxwidth binwidth

# output is hourly
timestep = 1
#@hist
set output "paramHist_zone.svg"
plot 'param.dat' using (bin($num,binwidth)):(1.0/timestep) title "zone" smooth freq with boxes
  
reset

set xdata time
set timefmt "%m/%d-%H:%M:%S"
# time range must be in same format as data file
#@trange
set xrange ["paramStart-00:00:00":"paramEnd-00:00:00"]
#@Trange
set yrange [minTemp:maxTemp]
set grid
set mouse
set xlabel "Date"
set format x "%d/%m"
set ylabel "Temperature"
#set title "ANAR+ EnergyPlus simulation"



#@png
# PNG export (not functional on OSX)
set terminal png size 1200,800
set output "paramTemp.png"

# uncomment if thick font and lines are needed
#set terminal png size 800,600
#set style line 1 lw 3
#set style line 2 lw 3
#set style line 3 lw 3
#set style line 4 lw 3
#set style line 5 lw 3
#set style line 6 lw 3
#set style line 7 lw 3
#set style line 8 lw 3
#set style line 9 lw 3
#set style increment user
#set key right top font "Helvetica,16" spacing 1.3
#set tics font "Helvetica,16"
#set xlabel "Date" font "Helvetica,20"
#set ylabel "Temperature" font "Helvetica,20"


#@temp 
plot "param.dat" using 1:2 index 0 title "outdoor temp [C]" with lines, \
     "param.dat" using 1:num index 0 title "zone temp [C]" with lines

set output "paramEnergyRate.png"
set ylabel "Daily energy rate"
set yrange [0:maxEnergyRate]
#@coolheat
plot \
     "param.dat" using 1:num index 0 title "zone cooling rate [W]" with lines
     "param.dat" using 1:num index 0 title "zone heating rate [W]" with lines

set output "paramEnergyDaily.png"
set boxwidth 0.9 relative
set style fill solid 1.0
set ylabel "Daily energy use"
set yrange [0:maxEnergy]
#@energy
plot "paramMeter.dat" using 1:2 index 0 title "daily cooling energy use [J]" with boxes, \
     "paramMeter.dat" using 1:3 index 0 title "daily heating energy use [J]" with boxes
   

reset

#@Trange
set xrange [minTemp:maxTemp]
#@hrange
set yrange [0:maxHours]
set grid
set xlabel "inside temperature"
set ylabel "hours"
set style fill solid border -1
  
binwidth=.5
bin(x,width)=width*floor(x/width) + binwidth/2
set boxwidth binwidth

# output is hourly
timestep = 1
#@hist
set output "paramHist_zone.png"
plot 'param.dat' using (bin($num,binwidth)):(1.0/timestep) title "zone" smooth freq with boxes
   
reset  
quit